import request from '@/config/axios'

export interface AnalysisFullVO {
  id: string
  code: string,
  ny: string,
  type: string,
  mz: string,
  syyp: string,
  syrq: string,
  sybz: string,
  syfzr: number,
  hyy: number,
  myzz: number,
  myzh: number,
  myzl: string,
  bz: string,
}

export interface AnalysisFullPageReqVO extends PageParam {
  ny?: string,
}


// 查询Analysis列表
export const getAnalysisFullPage = (params: AnalysisFullPageReqVO) => {
  return request.get({ url: '/coal-quality/analysis/full/page', params })
}

// 查询Analysis详情
export const getAnalysis = (id: string) => {
  return request.get({ url: '/coal-quality/analysis/full/get?id=' + id})
}

// 新增Analysis
export const createAnalysis = (data: AnalysisFullVO) => {
  return request.post({ url: '/coal-quality/analysis/full/create', data })
}

// 修改Analysis
export const updateAnalysis = (data: AnalysisFullVO) => {
  return request.put({ url: '/coal-quality/analysis/full/update', data })
}

// 删除Analysis
export const deleteAnalysis = (id: number) => {
  return request.delete({ url: '/coal-quality/analysis/full/delete?id=' + id })
}
